Bug 975705 - [abrt] system-config-printer-1.4.1-6.fc19: Gtk.py:1114:__new__:TypeError: 'NoneType' object is not iterable
[abrt] system-config-printer-1.4.1-6.fc19: Gtk.py:1114:__new__:TypeError: 'No...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:e45c95d137a487219241a86dd15...
:
Depends On:
Blocks: 1203219
  Show dependency treegraph
 
Reported: 2013-06-19 03:49 EDT by Emmanuel Pacaud
Modified: 2015-03-18 08:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: system-config-printer-1.4.1-8.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 23:26:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (741 bytes, text/plain)
2013-06-19 03:49 EDT, Emmanuel Pacaud
no flags Details
File: core_backtrace (468 bytes, text/plain)
2013-06-19 03:49 EDT, Emmanuel Pacaud
no flags Details
File: environ (4.29 KB, text/plain)
2013-06-19 03:49 EDT, Emmanuel Pacaud
no flags Details

  None (edit)
Description Emmanuel Pacaud 2013-06-19 03:49:28 EDT
Version-Release number of selected component:
system-config-printer-1.4.1-6.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py --debug
dso_list:       pygobject3-base-3.8.2-2.fc19.x86_64
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.9.4-301.fc19.x86_64
runlevel:       N 5
uid:            14316

Truncated backtrace:
Gtk.py:1114:__new__:TypeError: 'NoneType' object is not iterable

Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 1289, in on_rename_activate
    iter = model.get_iter (path)
  File "/usr/lib64/python2.7/site-packages/gi/overrides/Gtk.py", line 789, in get_iter
    path = self._coerce_path(path)
  File "/usr/lib64/python2.7/site-packages/gi/overrides/Gtk.py", line 764, in _coerce_path
    return TreePath(path)
  File "/usr/lib64/python2.7/site-packages/gi/overrides/Gtk.py", line 1114, in __new__
    path = ":".join(str(val) for val in path)
TypeError: 'NoneType' object is not iterable

Local variables in innermost frame:
path: None
cls: <class 'gi.overrides.Gtk.TreePath'>
Comment 1 Emmanuel Pacaud 2013-06-19 03:49:33 EDT
Created attachment 762769 [details]
File: backtrace
Comment 2 Emmanuel Pacaud 2013-06-19 03:49:36 EDT
Created attachment 762770 [details]
File: core_backtrace
Comment 3 Emmanuel Pacaud 2013-06-19 03:49:39 EDT
Created attachment 762771 [details]
File: environ
Comment 4 Tim Waugh 2013-06-20 06:23:04 EDT
Should be fixed upstream in commit e1dff5b.
Comment 5 Fedora Update System 2013-07-02 08:55:27 EDT
system-config-printer-1.4.1-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.1-8.fc19
Comment 6 Fedora Update System 2013-07-02 21:36:33 EDT
Package system-config-printer-1.4.1-8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.1-8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12150/system-config-printer-1.4.1-8.fc19
then log in and leave karma (feedback).
Comment 7 Caio D. Gubel 2013-07-17 16:02:32 EDT
Description of problem:
Hi

I did an upgrade and out of thin air an error message appeared. I was not connected to any printer using the Linux machine (our TI does not support Linux and I am going to have to figure it out by myself!)

Version-Release number of selected component:
system-config-printer-1.4.1-7.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.9.9-301.fc19.i686
runlevel:       N 5
uid:            1000

Truncated backtrace:
Gtk.py:1114:__new__:TypeError: 'NoneType' object is not iterable

Traceback (most recent call last):
  File "/usr/share/system-config-printer/newprinter.py", line 3615, in on_tvNPDownloadableDrivers_cursor_changed
    iter = model.get_iter (path)
  File "/usr/lib/python2.7/site-packages/gi/overrides/Gtk.py", line 789, in get_iter
    path = self._coerce_path(path)
  File "/usr/lib/python2.7/site-packages/gi/overrides/Gtk.py", line 764, in _coerce_path
    return TreePath(path)
  File "/usr/lib/python2.7/site-packages/gi/overrides/Gtk.py", line 1114, in __new__
    path = ":".join(str(val) for val in path)
TypeError: 'NoneType' object is not iterable

Local variables in innermost frame:
path: None
cls: <class 'gi.overrides.Gtk.TreePath'>
Comment 8 Fedora Update System 2013-07-23 23:26:57 EDT
system-config-printer-1.4.1-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.